<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Navigation</title>
        <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

    </head>
    <body>

        <div style="padding-top: 1em; overflow-x: auto; width: 100%">
            <div style="margin-bottom: 1em;">
                <a href="cf9c8b720f3815adeccaf3ef6e48c6c4.html" target="content">Home</a>
                <span style="color: #ccc; margin-left: 5px; margin-right: 5px;">|</span>
                <a href="diagrams.html" target="content">All Diagrams</a>
                <span style="color: #ccc; margin-left: 5px; margin-right: 5px;">|</span>
                <a href="element_index.html" target="content">Index</a>
            </div>
            <ol id='navigation-tree'>
                
                <li class='expanded'>
                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-Project"></span>
    
        <strong>
        <a href="cf9c8b720f3815adeccaf3ef6e48c6c4.html" target="content" style="white-space: nowrap;">Untitled</a>
        </strong>
    
</div>
                    
                    <ol>
                        
                        
                        <li>
                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLModel"></span>
    
        <a href="594af663de577680f35b13183109d675.html" target="content" style="white-space: nowrap;">Model</a>
    
</div>
                            
                            <ol>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClassDiagram"></span>
    
        <a href="a74bf0e3699da3f8e58beeb19b53e20a.html" target="content" style="white-space: nowrap;">Main</a>
    
</div>
                                    
                                </li>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClass"></span>
    
        <a href="4f160505d5aff03c9fa13ffde3575a90.html" target="content" style="white-space: nowrap;">Message</a>
    
</div>
                                    
                                </li>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClass"></span>
    
        <a href="03fc66c88571418775e453e1165faee5.html" target="content" style="white-space: nowrap;">Income</a>
    
</div>
                                    
                                    <ol>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAttribute"></span>
    
        <a href="f38ca87d7e5a3cf7c213699ed3663246.html" target="content" style="white-space: nowrap;">text</a>
    
</div>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLOperation"></span>
    
        <a href="c1f690d8ba6b464032da680e28dfa00a.html" target="content" style="white-space: nowrap;">createIncome</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="6fcc56431fc1882c257810a8da27d656.html" target="content" style="white-space: nowrap;">(Parameter)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLGeneralization"></span>
    
        <a href="f8f75001956a7f54ab15b8519e9fdf97.html" target="content" style="white-space: nowrap;">(Income→Message)</a>
    
</div>
                                            
                                        </li>
                                        
                                    </ol>
                                    
                                </li>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClass"></span>
    
        <a href="e0e5bc1a3c40b9bc5a1b736df611d51b.html" target="content" style="white-space: nowrap;">Note</a>
    
</div>
                                    
                                    <ol>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLOperation"></span>
    
        <a href="39bc523a678adbc441afddc0b08426c5.html" target="content" style="white-space: nowrap;">createNote</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="ead31c3e4637c31cd62aa037a85c8d30.html" target="content" style="white-space: nowrap;">(Parameter)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="c835bf25708d9fd6d6af90c001b6bfda.html" target="content" style="white-space: nowrap;">income</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLGeneralization"></span>
    
        <a href="0c7881244e0677a4ec0cbbba26d2d0a5.html" target="content" style="white-space: nowrap;">(Note→Message)</a>
    
</div>
                                            
                                        </li>
                                        
                                    </ol>
                                    
                                </li>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClass"></span>
    
        <a href="3545727e81ab12afd91857dec4ee9287.html" target="content" style="white-space: nowrap;">Outcome</a>
    
</div>
                                    
                                    <ol>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLOperation"></span>
    
        <a href="40deddaa2b9c82f86cdf89f031c32579.html" target="content" style="white-space: nowrap;">createOutcome</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="20bb7f6e53867bbc438c8fe779745608.html" target="content" style="white-space: nowrap;">(Parameter)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="83a20f9af83ad465d87b8251e86c4410.html" target="content" style="white-space: nowrap;">note</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLGeneralization"></span>
    
        <a href="48a09097cf041d597e3907adb32fb202.html" target="content" style="white-space: nowrap;">(Outcome→Message)</a>
    
</div>
                                            
                                        </li>
                                        
                                    </ol>
                                    
                                </li>
                                
                                
                                <li>
                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLClass"></span>
    
        <a href="a71d27e455b6eb662a845325ab9aa33e.html" target="content" style="white-space: nowrap;">MessageProcessor</a>
    
</div>
                                    
                                    <ol>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAttribute"></span>
    
        <a href="f94bd8631d2a099febc8c8f6a70931f3.html" target="content" style="white-space: nowrap;">note</a>
    
</div>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAttribute"></span>
    
        <a href="363a887c3f9829f2da504315254efaf6.html" target="content" style="white-space: nowrap;">outcome</a>
    
</div>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLOperation"></span>
    
        <a href="34aad91907ee3235940bd3eb55b90bbd.html" target="content" style="white-space: nowrap;">process</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="9ade87f100d2751c59ecb74ed72fd10d.html" target="content" style="white-space: nowrap;">income</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLParameter"></span>
    
        <a href="4417e4b0140ad27fe556a0f96f218dd8.html" target="content" style="white-space: nowrap;">(Parameter)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociation"></span>
    
        <a href="eafddfe676e571371a1d6981940cb137.html" target="content" style="white-space: nowrap;">(MessageProcessor—Income)</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="2cba495eddd96367b07c6b0ec48a3206.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="7618dd827626c1af996782359c06d216.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociation"></span>
    
        <a href="791f62ed8d159419eece15f8930418cb.html" target="content" style="white-space: nowrap;">(MessageProcessor—Note)</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="ec52fc4dd116dffdacafb85b9586b780.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="13b907202dccd3dfb726937c9e338652.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociation"></span>
    
        <a href="1b246aa479c03ad5f96a61ee79c2aab0.html" target="content" style="white-space: nowrap;">(MessageProcessor—Outcome)</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="e04808f6ab7b1c361993df73cc9c81a8.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="fc21fece187e251eced70ddfc5fe5b48.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                        
                                        <li>
                                            <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociation"></span>
    
        <a href="0e5a819b85a2f6bd64537750bbfbf956.html" target="content" style="white-space: nowrap;">(MessageProcessor—Outcome)</a>
    
</div>
                                            
                                            <ol>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="7c587868b90196ba27475d4a7416a9e3.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                                
                                                <li>
                                                    <div style="display: inline-block; white-space: nowrap">
    <span class="node-icon staruml-icon icon-UMLAssociationEnd"></span>
    
        <a href="b07767a90db7e9a56060488412638054.html" target="content" style="white-space: nowrap;">(AssociationEnd)</a>
    
</div>
                                                    
                                                </li>
                                                
                                            </ol>
                                            
                                        </li>
                                        
                                    </ol>
                                    
                                </li>
                                
                            </ol>
                            
                        </li>
                        
                    </ol>
                    
                </li>
            </ol>
        </div>
        <script>
            $('#navigation-tree').bonsai();
        </script>
    </body>
</html>
